%define ocamlname yojson

Name:           ocaml-%{ocamlname}
Version:        1.4.1
Release:        1%{?dist}.emp1
Summary:        Yojson is an optimized parsing and printing library for the JSON format
License:        BSD
URL:            https://github.com/mjambon/yojson
Source0:        %{ocamlname}-%{version}.tar.gz

Requires:  	ocaml >= 4.02.3
Requires:	ocaml-easy-format
Requires:	ocaml-biniou >= 1.2.0

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.02.3
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-cppo
BuildRequires:	ocaml-easy-format-devel
BuildRequires:	ocaml-biniou-devel >= 1.2.0

%description
Yojson is an optimized parsing and printing library for the JSON
format. It addresses a few shortcomings of json-wheel including 2x
speedup, polymorphic variants and optional syntax for tuples and
variants.

ydump is a pretty-printing command-line program provided with the
yojson package.

The program atdgen can be used to derive OCaml-JSON serializers and
deserializers from type definitions.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:	ocaml-easy-format-devel
Requires:	ocaml-biniou-devel >= 1.2.0


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
jbuilder build -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%check
make test

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE
%{_libdir}/ocaml/bin/ydump
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
